System.ServiceModel 4.0.0.0 System.Xml.Xsl.XsltContext

The XPath engine has full XPath context support and uses the .NET Framework's class in the same way that does to implement this support. is an abstract class that allows developers to implement custom XPath function libraries and declare XPath variables. is an and thus also contains the namespace prefix mappings.

The filter engine implements an named . defines custom functions that can be used in XPath expressions and it declares several common namespace prefix mappings. The following table lists the custom functions defined by that can be used in XPath expressions.

XPath Function

Description

body

Returns the SOAP Body node, regardless of SOAP version (1.1. or 1.2).

header

Returns the SOAP Header node, regardless of SOAP version (1.1 or 1.2).

correlation-data

Takes an input string and returns the value of the associated correlation message property. 'wsc-instanceId' is a reserved string used for context-based correlation.

messageId

Returns the value of the WS-Addressing MessageID header.

relatesTo

Returns the value of the WS-Addressing RelatesTo header, regardless of version (August2004 or WSA 1.0).

replyTo

Returns the value of the WS-Addressing ReplyTo header, regardless of version (August2004 or WSA 1.0).

from

Returns the value of the WS-Addressing From header, regardless of version (August2004 or WSA 1.0).

faultTo

Returns the value of the WS-Addressing FaultTo header, regardless of version (August2004 or WSA 1.0).

to

Returns the value of the WS-Addressing To header if present, else it returns Anonymous.

action

Returns the value of the WS-Addressing Action header.

soap-uri

Returns the SOAP namespace uri.

headers-with-actor

Takes a SOAP Actor uri and returns all headers that contain that actor, regardless of SOAP version (1.1 or 1.2).

actor

Returns the SOAP Actor uri of the first child node, regardless of SOAP version (1.1 or 1.2).

is-mandatory

Returns whether or not the first child node is mandatory, regardless of SOAP version (1.1 or 1.2).

is-actor-next

Returns whether or not the SOAP Actor uri of the first child node assumes the Next role, regardless of SOAP version (1.1 or 1.2).

is-actor-ultimate-receiver

Returns whether or not the SOAP Actor uri of the first child node assumes the UltimateReceiver role, regardless of SOAP version (1.1 or 1.2).

date-time

Takes an input date string and returns the value converted to a double.

duration

Takes an input timespan string and returns the value as a total number of days.

utc-now

Returns the value of .

The following table lists the default namespaces and namespace prefixes that are declared by .

Prefix

Namespace

s11

http://schemas.xmlsoap.org/soap/envelope

s12

http://www.w3.org/2003/05/soap-envelope

wsaAugust2004

http://schemas.xmlsoap.org/ws/2004/08/addressing

wsa10

http://www.w3.org/2005/08/addressing

sm

http://schemas.microsoft.com/serviceModel/2004/05/xpathfunctions

tempuri

http://tempuri.org

ser

http://schemas.microsoft.com/2003/10/Serialization

Defines several XPath functions and namespace mappings commonly used when evaluating XPath expressions against SOAP documents.

- Constructor
  4.0.0.0
  To be added.

  Creates an instance of .

- Constructor
  4.0.0.0
  To be added.

  Several classes including this one, , and use the class internally to store attribute and element names. When an element or attribute name occurs multiple times in an XML document, it is stored only once in the . The names are stored as common language runtime (CLR) object types. This enables you to do object comparisons on these strings rather than a more expensive string comparison.

  Initializes a new instance of the class with the specified .

- Method
  4.0.0.0
  System.Int32 `` `` To be added. To be added.

  This property should be overridden in a derived class in order to be used.

  Compares the base Uniform Resource Identifiers (URIs) of two documents based upon the order the documents were loaded by the XSLT processor.

  Always returns 0.

- Method
  4.0.0.0
  System.Boolean ``

  This property should be overridden in a derived class in order to be used.

  Evaluates whether to preserve white space nodes or strip them for the given context.

  Always returns false.

  The white space node that is to be preserved or stripped in the current context.
- Method
  4.0.0.0
  System.Xml.Xsl.IXsltContextFunction `` `` ``

  The T:System.Xml.Xsl.IXsltContextFunction is used at execution time to evaluate the function.

  Resolves a function reference and returns an T:System.Xml.Xsl.IXsltContextFunction that represents the function.

  An T:System.Xml.Xsl.IXsltContextFunction that represents the function.

  The prefix of the function as it appears in the XPath expression. The name of the function. An array of argument types for the function being resolved. This allows you to select between methods with the same name (for example, overloaded methods).
- Method
  4.0.0.0
  System.Xml.Xsl.IXsltContextVariable `` ``

  The is used at execution time to get the value of the variable.

  Resolves a variable reference and returns an that represents the variable.

  An that represents the variable at runtime.

  The prefix of the variable as it appears in the XPath expression. The name of the variable.
- Property
  4.0.0.0
  System.Boolean To be added.

  This property should be overridden in a derived class in order to be used.

  Gets a value that indicates whether to include white space nodes in the output.